Bug 175018 - "xfontsel" does not see application defaults file "XFontSel"
"xfontsel" does not see application defaults file "XFontSel"
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2005-12-05 14:03 EST by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-21 11:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of hosed "xfontsel" application window (2.76 KB, image/png)
2005-12-05 14:05 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2005-12-05 14:03:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Epiphany/1.9.2

Description of problem:
After executing "xfontsel", one is confronted with a corrupted
application window (see attachment) where buttons are not
labeled, etc.
In the terminal, the following warning is issued:

  "Warning: app-defaults file not properly installed."

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch "xfontsel".
2. Check application window.
3. Check output in the console window. 

Actual Results:  "xfontsel" application window displayed without correct
labels, etc.

Expected Results:  "xfontsel" application window should be displayed correctly.

Additional info:

The resource file "/usr/lib/X11/app-defaults/XFontSel" is
present, but "xfontsel" does not see it.
After copying it to my local user application defaults
directory, "xfontsel" works again as expected.
Comment 1 Joachim Frieben 2005-12-05 14:05:54 EST
Created attachment 121863 [details]
Screenshot of hosed "xfontsel" application window
Comment 2 Michal Jaegermann 2005-12-11 14:37:39 EST
The problem is not limited to 'xfontsel' but affects at least all programs which
need default resources from  xorg-x11-utils (xfontsel, xfd) and org-x11-resutils
(editres, viewres).  Changes in libraries are causing a search for app-defaults 
in "wrong" places and nothing now peeks into an "old" %{libdir}/X11/app-defaults/

Placing copies of those resource files in, say, /usr/share/X11/app-defaults/
provides a temporary workaround (but it should be carefuly watched during
future updates).
Comment 3 Mike A. Harris 2005-12-21 05:26:54 EST
Thanks for the report.  Upstream X.Org X11 was installing the app-defaults
files to FHS unfriendly locations.  It's taken a while to get things fixed,
but the X11R7 RC4 release has most if not all of the issues ironed out now.

Please upgrade all packages to the latest in rawhide, and the issue should
probably be resolved now.  Just for documentive purposes, the new proper
location for app-defaults files is %{_datadir}/X11/app-defaults which
expands to /usr/share/X11/app-defaults normally.

Once you've upgraded, please reboot and test any applications that had
app-defaults related problems.  If the xfontsel problem persists, please
update the report with any new details and report back.

Thanks again!
Comment 4 Joachim Frieben 2005-12-21 08:13:16 EST
Great, "xfontsel" now works without a local copy of "XFontSel".
Comment 5 Mike A. Harris 2005-12-21 11:48:48 EST
Thanks for the update.  Closing as fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.